MyGUI: MyGUI::ISubWidgetRect Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ISubWidgetRect Class Reference

`#include <MyGUI_ISubWidgetRect.h>`

Inheritance diagram for MyGUI::ISubWidgetRect:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ISubWidgetRect | RTTIBase
Public Types inherited from MyGUI::ISubWidget
typedef RTTIBase | Base
typedef ISubWidget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
virtual | ~ISubWidgetRect ()
virtual void | _setUVSet (const FloatRect &_rect)
virtual void | _setColour (const Colour &_value)
Public Member Functions inherited from MyGUI::ISubWidget
template<typename Type >
bool | isType () const
| ISubWidget ()
virtual | ~ISubWidget ()
virtual void | createDrawItem (ITexture *_texture, ILayerNode *_node)=0
virtual void | destroyDrawItem ()=0
virtual void | setAlpha (float _alpha)
virtual void | setStateData (IStateInfo *_data)
virtual void | doRender ()=0
virtual void | setAlign (Align _value)
virtual void | setVisible (bool _value)
virtual void | _updateView ()
virtual void | _correctView ()
virtual void | _setAlign (const IntSize &_oldsize)
virtual void | doManualRender (IVertexBuffer *_buffer, ITexture *_texture, size_t _count)
Public Member Functions inherited from MyGUI::ICroppedRectangle
| ICroppedRectangle ()
virtual | ~ICroppedRectangle ()
ICroppedRectangle * | getCroppedParent ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidget
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Attributes inherited from MyGUI::ISubWidget
Align | mAlign
bool | mVisible
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin
ICroppedRectangle * | mCroppedParent

## Detailed Description

Definition at line 17 of file MyGUI_ISubWidgetRect.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ISubWidgetRect::Base

Definition at line 20 of file MyGUI_ISubWidgetRect.h.

## ◆ RTTIBase

typedef ISubWidgetRect MyGUI::ISubWidgetRect::RTTIBase

Definition at line 20 of file MyGUI_ISubWidgetRect.h.

## Constructor & Destructor Documentation

## ◆ ~ISubWidgetRect()

virtual MyGUI::ISubWidgetRect::~ISubWidgetRect | ( |  | ) |
| inlinevirtual

Definition at line 23 of file MyGUI_ISubWidgetRect.h.

## Member Function Documentation

## ◆ _setColour()

virtual void MyGUI::ISubWidgetRect::_setColour | ( | const Colour & | _value | ) |
| inlinevirtual

Reimplemented in MyGUI::RotatingSkin, MyGUI::PolygonalSkin, MyGUI::SubSkin, and MyGUI::TileRect.

Definition at line 26 of file MyGUI_ISubWidgetRect.h.

## ◆ _setUVSet()

virtual void MyGUI::ISubWidgetRect::_setUVSet | ( | const FloatRect & | _rect | ) |
| inlinevirtual

Reimplemented in MyGUI::RotatingSkin, MyGUI::PolygonalSkin, MyGUI::SubSkin, and MyGUI::TileRect.

Definition at line 25 of file MyGUI_ISubWidgetRect.h.

## ◆ getClassTypeName()

static const std::string& MyGUI::ISubWidgetRect::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 20 of file MyGUI_ISubWidgetRect.h.

## ◆ getTypeName()

virtual const std::string& MyGUI::ISubWidgetRect::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::ISubWidget.

Reimplemented in MyGUI::SubSkin, MyGUI::TileRect, MyGUI::PolygonalSkin, MyGUI::RotatingSkin, and MyGUI::MainSkin.

Definition at line 20 of file MyGUI_ISubWidgetRect.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ISubWidgetRect::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 20 of file MyGUI_ISubWidgetRect.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ISubWidgetRect::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::ISubWidget.

Reimplemented in MyGUI::SubSkin, MyGUI::TileRect, MyGUI::PolygonalSkin, MyGUI::RotatingSkin, and MyGUI::MainSkin.

Definition at line 20 of file MyGUI_ISubWidgetRect.h.

The documentation for this class was generated from the following file:

- MyGUI_ISubWidgetRect.h